#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

ICON=debian/tmp/usr/share/icons/hicolor/48x48/apps/valyriatear.png

override_dh_install:
# Resize the installed icon in the 48x48 theme to actually be
# 48x48.  Fixes lintian complaint.
	convert $(ICON) -resize 48x48 $(ICON)

# Drop the fonts that came with the application, since we use system copies.
	rm -rf debian/tmp/usr/share/valyriatear/img/fonts

	dh_install --fail-missing
